---
title: XRWebGLLayerInit.alpha
slug: Web/API/XRWebGLLayerInit/alpha
tags:
  - API
  - Alpha
  - Property
  - Reference
  - See-through
  - Translucent
  - Transparent
  - WebXR
  - WebXR API
  - WebXR Device API
  - XRWebGLLayerInit
  - color
---
<p>{{APIRef("WebXR Device API")}}{{securecontext_header}}</p>

<p><span class="seoSummary">The <code><strong>alpha</strong></code> property is a Boolean value which, if present and set to <code>true</code> in the {{domxref("XRWebGLLayerInit")}} dictionary passed into the {{domxref("XRWebGLLayer.XRWebGLLayer", "XRWebGLLayer()")}} constructor, specifies that the new layer's color buffer is to include an {{Glossary("alpha", "alpha channel")}}.</span> Otherwise, the color buffer won't have an alpha channel. The default is <code>true</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let layerInit = {
  alpha: <em>boolValue</em>
};
let glLayer = new XRWebGLLayer(xrSession, gl, layerInit);

let glLayer = new XRWebGLLayer(xrSession, gl, { alpha: <em>boolValue</em> });
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which can be set to <code>true</code> to request that the new WebGL layer for rendering the WebXR scene is to have an alpha channel.</p>

<h2 id="Example">Example</h2>

<p>In this example, a new {{domxref("XRWebGLLayer")}} is created for a WebXR session, <code>xrSession</code>, without an alpha channel.</p>

<pre class="brush: js">xrSession.updateRenderState({
  baseLayer: new XRWebGLLayer(xrSession, gl, {
     alpha: false
  });
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrwebgllayerinit-alpha','XRWebGLLayerInit.alpha')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRWebGLLayerInit.alpha")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a></li>
 <li><a href="/en-US/docs/Web/API/WebGL_API/Tutorial/Getting_started_with_WebGL">Getting started with WebGL</a></li>
 <li>{{domxref('WebGLRenderingContext')}} and {{domxref("WebGL2RenderingContext")}}</li>
</ul>
